package javax.imageio.event;

import javax.imageio.ImageReader;
import java.util.EventListener;

public interface IIOReadProgressListener extends EventListener
{
    public abstract void sequenceStarted(ImageReader p0, int p1);
    
    public abstract void sequenceComplete(ImageReader p0);
    
    public abstract void imageStarted(ImageReader p0, int p1);
    
    public abstract void imageProgress(ImageReader p0, float p1);
    
    public abstract void imageComplete(ImageReader p0);
    
    public abstract void thumbnailStarted(ImageReader p0, int p1, int p2);
    
    public abstract void thumbnailProgress(ImageReader p0, float p1);
    
    public abstract void thumbnailComplete(ImageReader p0);
    
    public abstract void readAborted(ImageReader p0);
}
